
Figure - Bug #118923
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【任务管理器】打开强制小窗应用，反复进行快速上划，上划进入recent界面，出现全屏的情
况
2023-06-29 13:50 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-29

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0629DB

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 由于上滑finish小窗后,会把config还原,导致如果启动太快时,config还没得急更新的话,会使用undefine的window mode,就会全屏显示

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开强制小窗应用

2、快速上划

3、上划进入recent界面

4、反复1、2、3步

【预期结果】

4、一直小窗显示

【实际结果】

4、极小概率全屏显示

【备注】

网易云和抖音都有出现过

History

#1 - 2023-07-06 20:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212887 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix fullscreendefault freeform app will start as fullscreen sometimesTC-RID: 1201-0204601IssueID: TS-R-BUG-118923Change-Id:

I17b9b9354b00a5950c654e262cd235bb01e912d5

#2 - 2023-07-06 20:30 - CD FW-鲁凯峰
- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 由于上滑finish小窗后,会把config还原,导致如果启动太快时,config还没得急更新的话,会使用undefine的window mode,就会全屏显示

■ Current conclusion

问题已经解决

■ My analysis

由于上滑finish小窗后,会把config还原,导致如果启动太快时,config还没得急更新的话,会使用undefine的window mode,就会全屏显示

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/212887

#3 - 2023-07-08 14:59 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

0708DB验证通过

#4 - 2023-07-08 14:59 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#5 - 2023-07-10 17:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213605 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: fix fullscreendefault freeform app will start as fullscreen sometimesTC-RID: 1201-0204601IssueID: TS-R-BUG-118923Change-Id:

I17b9b9354b00a5950c654e262cd235bb01e912d5(cherry picked from commit 1dc55459107a8b77bef983a34b28e8a1de6c3cac)
